Bug 27277 - Queued vs Enqueued
Summary: Queued vs Enqueued
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: James O'Keeffe
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 27109
Blocks: 28149
  Show dependency treegraph
 
Reported: 2020-12-18 09:19 UTC by Jonathan Druart
Modified: 2021-05-24 15:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06


Attachments
Bug 27277: Replace 'Enqueued' with 'Queue' (1.73 KB, patch)
2020-12-18 09:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27277: Queued Vs Enqueued (1.91 KB, patch)
2021-01-19 02:16 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 27277: Queued vs Enqueued (1.43 KB, patch)
2021-01-19 20:33 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 27277: Queued Vs Enqueued (1.96 KB, patch)
2021-04-14 17:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27277: Queued vs Enqueued (1.50 KB, patch)
2021-04-14 17:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27277: Queued Vs Enqueued (2.01 KB, patch)
2021-04-16 13:48 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 27277: Queued vs Enqueued (1.56 KB, patch)
2021-04-16 13:48 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-18 09:19:50 UTC
See bug 27109 comment 5:
"""
Rather than "Enqueued" I think I would prefer "Queued". Enqueued is a valid English word, according to Oxford English Dictionary (https://www.lexico.com/definition/enqueue). However, it is not something in common usage or that I have come across before except in Koha. As this one improves the display, I've signed it off. I will add a new bug for changing the term and see what others think. 

Testing notes:
- Applied patch: applied successfully
- Reviewed diff, makes sense to me
"""

Then comment 9
"""
(In reply to David Nind from comment #5)
> Rather than "Enqueued" I think I would prefer "Queued". Enqueued is a valid
> English word, according to Oxford English Dictionary
> (https://www.lexico.com/definition/enqueue). However, it is not something in
> common usage or that I have come across before except in Koha.

I love enqueue/dequeue and they come up a lot for me, but they do seem to be computing terms, so I am willing to admit that they probably should be reserved for backend systems and not displayed to users.

I also love splitting hairs so...

Should it be "Queued on" or "Queued at"?
"""


And don't forget there is also "Started on"
Comment 1 Jonathan Druart 2020-12-18 09:20:33 UTC
Created attachment 114511 [details] [review]
Bug 27277: Replace 'Enqueued' with 'Queue'
Comment 2 Owen Leonard 2020-12-21 11:55:32 UTC
(In reply to Jonathan Druart from comment #0)

> Should it be "Queued on" or "Queued at"?

I agree with the change to "Queued" and I think we should drop the "on" altogether. Instead of "Queued on," "Started on," and "Ended on" we should use "Queued," "Started," and "Ended."
Comment 3 James O'Keeffe 2021-01-19 02:16:06 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2021-01-19 09:13:15 UTC
Hi James, thanks for your patch!

There are other occurrences to fix in the same file:

152                     <th>Enqueued on</th>
153                     <th>Started on</th>
154                     <th>Ended on</th>
Comment 5 James O'Keeffe 2021-01-19 20:33:50 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2021-04-14 17:44:32 UTC
Created attachment 119595 [details] [review]
Bug 27277: Queued Vs Enqueued

This patch changes "Enqueued on", "Started on", and "Ended on" to
"Queued", "Started", and "Ended" respectively on the bacground jobs
page.

Task plan:
1. Navigate to the background jobs page
2. Ensure the spelling change, and that the spelling is correct.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Owen Leonard 2021-04-14 17:44:35 UTC
Created attachment 119596 [details] [review]
Bug 27277: Queued vs Enqueued

Changed the other occurences of "Enqueued on", "Started on", and "Ended
on" to "Queued", "Started", and "Ended" (As pointed out by Jonathan).

Task Plan:
1. Navigate to th background jobs page
2. Ensure that the spelling of the changes are correct, and that there
   are no other instances of "Enqueued on", "Started on", and "Ended on"
   that have been missed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Julian Maurice 2021-04-16 13:48:16 UTC
Created attachment 119736 [details] [review]
Bug 27277: Queued Vs Enqueued

This patch changes "Enqueued on", "Started on", and "Ended on" to
"Queued", "Started", and "Ended" respectively on the bacground jobs
page.

Task plan:
1. Navigate to the background jobs page
2. Ensure the spelling change, and that the spelling is correct.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 9 Julian Maurice 2021-04-16 13:48:21 UTC
Created attachment 119737 [details] [review]
Bug 27277: Queued vs Enqueued

Changed the other occurences of "Enqueued on", "Started on", and "Ended
on" to "Queued", "Started", and "Ended" (As pointed out by Jonathan).

Task Plan:
1. Navigate to th background jobs page
2. Ensure that the spelling of the changes are correct, and that there
   are no other instances of "Enqueued on", "Started on", and "Ended on"
   that have been missed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 10 Jonathan Druart 2021-04-16 14:31:11 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-04-29 09:37:16 UTC
Pushed to 20.11.x for 20.11.06
Comment 12 Andrew Fuerste-Henry 2021-05-24 15:21:19 UTC
Doesn't apply cleanly to 20.05, please rebase if needed